Module javafx.base
Package javafx.beans.binding

## Class When.BooleanConditionBuilder

- java.lang.Object
- - javafx.beans.binding.When.BooleanConditionBuilder

- Enclosing class:
    When

      public class When.BooleanConditionBuilder
      extends Object

  An intermediate class needed while assembling the ternary expression. It should not be used in another context.
  Since:
    JavaFX 2.0

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `BooleanBinding` | `otherwise​(boolean otherwiseValue)` | Defines a constant value of the ternary expression, that is returned if the condition is `false`.
    `BooleanBinding` | `otherwise​(ObservableBooleanValue otherwiseValue)` | Defines the `ObservableBooleanValue` which value is returned by the ternary expression if the condition is `false`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### otherwise

          public BooleanBinding otherwise​(ObservableBooleanValue otherwiseValue)

      Defines the `ObservableBooleanValue` which value is returned by the ternary expression if the condition is `false`.
      Parameters:
        `otherwiseValue` - the value
      Returns:
        the complete `BooleanBinding`

    - #### otherwise

          public BooleanBinding otherwise​(boolean otherwiseValue)

      Defines a constant value of the ternary expression, that is returned if the condition is `false`.
      Parameters:
        `otherwiseValue` - the value
      Returns:
        the complete `BooleanBinding`